petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFEPushforwardGradient

Map the reference element function gradient to real space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEPushforwardGradient(PetscFE fe, PetscFEGeom *fegeom, PetscInt Nv, PetscScalar vals[])

### Input Parameters

| fe | - The PetscFE
| fegeom | - The cell geometry
| Nv | - The number of function gradient values
| vals | - The function gradient values

### Output Parameter

vals -The transformed function gradient values

Note: This just forwards the call onto PetscDualSpacePushforwardGradient().

### See Also

PetscFEPushforward(), PetscDualSpacePushforwardGradient(), PetscDualSpacePushforward()

### Level

advanced

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages